## empire-hub 1.0.2.1

=== Makefile ===
# $Id: Makefile,v 0.3 1996/08/23 18:48:02 dld Exp dld $
#
# Makefile for hub (EmpireHub), an empire protocol splitter/multiplexer

# For Solaris
# LDFLAGS = -lnsl -lsocket

# for debugging
CFLAGS = -g

SRC = hub.c
OBJ = $(SRC:.c=.o)

all: emp_hub

emp_hub: $(OBJ)
	$(CC) -o $@ $^ -lc

clean:
	-rm -f emp_hub *.o

## empire-hub 1.0.1

=== debian/changelog ===
empire-hub (1.0.1) unstable; urgency=low

  * Removed extra \n in C_FLUSH mirror lines that confuseds pei.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sat, 17 Oct 1998 09:18:51 +1000

empire-hub (1.0) unstable; urgency=low

  * Initial Release.

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Sun, 11 Oct 1998 00:10:39 +1000

Local variables:
mode: debian-changelog
add-log-mailing-address: "Drake.Diedrich@anu.edu.au"
End:

=== debian/control ===
Source: empire-hub
Section: games
Priority: optional
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 2.4.0.0

Package: empire-hub
Architecture: any
Depends: ${shlibs:Depends}
Description: Empire protocol multiplexer
 This package allows multiple clients to connect to an Empire server
 over a single connection.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
	cp emp_hub `pwd`/debian/tmp/usr/games/emp_hub

	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## empire-hub 1.0.2

=== debian/changelog ===
empire-hub (1.0.2) unstable; urgency=low

  * Recompiled for policy 3.2.1.0 compliance
  * Changed debian/copyright to point to new location of GPL
  * Added debhelper Build-Depends

 -- Drake Diedrich <Drake.Diedrich@anu.edu.au>  Wed, 17 Jan 2001 11:46:57 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 2.4.0.0
+Standards-Version: 3.2.1.0
+Build-Depends: debhelper
 
 Package: empire-hub
 Architecture: any

## empire-hub 1.0.2.1

=== debian/changelog ===
empire-hub (1.0.2.1) unstable; urgency=low

  * NMU
  * Remove curses.h, term.h includes.  closes: #141437.
  * Update to Standards-Version 3.5.7.
  * Clean up debian/rules a little.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Oct 2002 13:52:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: games
 Priority: optional
 Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 3.2.1.0
+Standards-Version: 3.5.7
 Build-Depends: debhelper
 
 Package: empire-hub

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,6 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_suidregister
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## empire-hub 1.0.2.1+nmu1

=== debian/changelog ===
empire-hub (1.0.2.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update DH level to 9 to avoid a FTBFS. (Closes: #800179)
  * debian/compat: created.
  * debian/control:
     - Added the ${msic:Depends} variable to provide the
       right install dependencies.
     - Bumped Standards-Version to 3.9.6.
  * debian/rules: changed the install to put the final
    files in right place.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Sun, 20 Dec 2015 10:50:13 -0200

=== debian/control ===
Source: empire-hub
Section: games
Priority: optional
Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
Standards-Version: 3.9.6
Build-Depends: debhelper (>=9)

Package: empire-hub
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Empire protocol multiplexer
 This package allows multiple clients to connect to an Empire server
 over a single connection.

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,8 @@
 	dh_installdirs
 
 	# Add here commands to install the files into debian/tmp
-	# $(MAKE) install DESTDIR=`pwd`/debian/tmp
-	cp emp_hub `pwd`/debian/tmp/usr/games/emp_hub
+	# $(MAKE) install DESTDIR=`pwd`/debian/empire-hub
+	cp emp_hub `pwd`/debian/empire-hub/usr/games/emp_hub
 
 	dh_installdocs
 #	dh_installexamples

## empire-hub 1.0.2.2

=== debian/changelog ===
empire-hub (1.0.2.2) unstable; urgency=medium

  * debian/control:
     - maintainer (Closes: #809625)
     - Bumped Standards-Version to 3.9.8.
  * debian/source/format: 1.0
  * debian/rules:
     - dpkg-buildflags
     - dh_installman

 -- Drake Diedrich <dld@debian.org>  Mon, 19 Dec 2016 00:37:19 -0800

=== debian/rules ===
--- 
+++ 
@@ -9,21 +9,20 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
+# Add here commands to compile the package.
+	make CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+	     LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
+	touch build-stamp
 
-	
-	# Add here commands to compile the package.
-	make CFLAGS="-O2 -g -Wall"
-
-	touch build-stamp
+build-arch: build
+build-indep: build
 
 clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-
+# Add here commands to clean up after the build process.
+	$(MAKE) clean
 	dh_clean
 
 # Build architecture-independent files here.
@@ -35,19 +34,17 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
-
-	# Add here commands to install the files into debian/tmp
-	# $(MAKE) install DESTDIR=`pwd`/debian/empire-hub
+# Add here commands to install the files into debian/tmp
+# $(MAKE) install DESTDIR=`pwd`/debian/empire-hub
 	cp emp_hub `pwd`/debian/empire-hub/usr/games/emp_hub
-
 	dh_installdocs
 #	dh_installexamples
 #	dh_installmenu
 #	dh_installinit
 #	dh_installcron
-	dh_installmanpages
+	dh_installman
 #	dh_undocumented
 	dh_installchangelogs
 	dh_strip

## empire-hub 1.0.2.2%2Bnmu1

=== debian/changelog ===
empire-hub (1.0.2.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007579)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #942017)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Oct 2023 17:12:39 +0000

## empire-hub 1.0.2.2+nmu1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 # for debugging
 CFLAGS = -g
+LDFLAGS =
 
 SRC = hub.c
 OBJ = $(SRC:.c=.o)
@@ -14,7 +15,7 @@
 all: emp_hub
 
 emp_hub: $(OBJ)
-	$(CC) -o $@ $^ -lc
+	$(CC) $(LDFLAGS) -o $@ $^ -lc
 
 clean:
 	-rm -f emp_hub *.o

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: empire-hub
 Section: games
 Priority: optional
-Maintainer: Drake Diedrich <Drake.Diedrich@anu.edu.au>
-Standards-Version: 3.9.6
+Maintainer: Drake Diedrich <dld@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>=9)
 
 Package: empire-hub

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 build-stamp:
 	dh_testdir
 # Add here commands to compile the package.
-	make CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
+	dh_auto_build -- CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" \
 	     LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 	touch build-stamp

## empire-hub 1.0.2.3

=== Makefile ===
--- 
+++ 
@@ -5,17 +5,13 @@
 # For Solaris
 # LDFLAGS = -lnsl -lsocket
 
-# for debugging
-CFLAGS = -g
-LDFLAGS =
-
 SRC = hub.c
 OBJ = $(SRC:.c=.o)
 
 all: emp_hub
 
 emp_hub: $(OBJ)
-	$(CC) $(LDFLAGS) -o $@ $^ -lc
+	$(CC) $(CPPFLAGS) $(LDFLAGS) -o $@ $^ -lc
 
 clean:
 	-rm -f emp_hub *.o

=== debian/changelog ===
empire-hub (1.0.2.3) unstable; urgency=medium

  * Maintain package in Debian Games team
    Closes: #1117487
  * Build with gcc-14
    Closes: #1074937
  * d/copyright: DEP5
  * d/rules: short dh
  * Makefile: Respect Debian pre-set options including hardening
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Oct 2025 15:11:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: empire-hub
 Section: games
 Priority: optional
-Maintainer: Drake Diedrich <dld@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>=9)
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Drake Diedrich <dld@debian.org>,
+           Andreas Tille <tille@debian.org>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13)
+Vcs-Browser: https://salsa.debian.org/games-team/empire-hub
+Vcs-Git: https://salsa.debian.org/games-team/empire-hub.git
 
 Package: empire-hub
 Architecture: any
